Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001410TestLink0 - User too Lazy to analize defined categoriespublic2008-02-25 23:232008-11-07 19:45
Reporteradr 
Assigned Tomhavlat 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.4 
Fixed in Version1.8 Beta 3 
Summary0001410: OpenLDAP authentication failure during login
DescriptionLogin fails with the following error:

[client] PHP Warning: ldap_bind() [<a href='function.ldap-bind'>function.ldap-bind</a>]: Unable to bind to server: Protocol error in /var/www/html/testlink_170/lib/functions/ldap_api.php on line 52, referer: http://testlink.foo.com/testlink/login.php?note=wrong [^]

Adding php ldap set options seems to correct the issue. Tested patch against OpenLDAP 2.3.27 only.
Additional InformationCorrected by the following patch:

--- ldap_api.php.dist 2008-02-29 05:25:29.000000000 -0500
+++ ldap_api.php 2008-02-29 05:25:42.000000000 -0500
@@ -24,6 +24,7 @@
   
      # --------------------
     # Connect and bind to the LDAP directory
+ ldap_set_option($ds, LDAP_OPT_PROTOCOL_VERSION, 3);
     function ldap_connect_bind( $p_binddn = '', $p_password = '' ) {
 
     $ret->status=0;

TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browserall
PHP Versionphp-5.0.4-10
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0003323)
fman (administrator)
2008-02-26 18:03

Humm, a similar issue theorically was oopen on past and theorically solved.
I will check
(0003708)
mhavlat (reporter)
2008-06-18 21:48

Let me know if I should add into documentation that default protocol version is 2 and version 3 could be patched.
Is it appropriate to add another configuration parameter to config.inc.php?
(0003909)
mhavlat (reporter)
2008-08-05 20:38

Reminder sent to: fman

Please, let me know.
(0003912)
fman (administrator)
2008-08-05 21:06

Add version 3 DEFAULT and IMHO is enough to close this
(0003914)
mhavlat (reporter)
2008-08-05 21:58

OK. I update install guide.
(0003944)
mhavlat (reporter)
2008-08-07 21:28

I added LDAP version into TL configuration and add information to installation manual.

- Issue History
Date Modified Username Field Change
2008-02-25 23:23 adr New Issue
2008-02-25 23:23 adr Browser => all
2008-02-25 23:23 adr PHP Version => php-5.0.4-10
2008-02-26 18:03 fman Note Added: 0003323
2008-06-18 21:48 mhavlat Note Added: 0003708
2008-08-05 20:38 mhavlat Note Added: 0003909
2008-08-05 21:06 fman Note Added: 0003912
2008-08-05 21:57 mhavlat Status new => assigned
2008-08-05 21:57 mhavlat Assigned To => mhavlat
2008-08-05 21:58 mhavlat Note Added: 0003914
2008-08-07 21:28 mhavlat Status assigned => resolved
2008-08-07 21:28 mhavlat Fixed in Version => next development 1.8 RC 1
2008-08-07 21:28 mhavlat Resolution open => fixed
2008-08-07 21:28 mhavlat Note Added: 0003944
2008-09-16 02:31 mhavlat Fixed in Version next development 1.8 RC 1 => 1.8 Beta 3
2008-11-07 19:45 mhavlat Status resolved => closed
2012-10-31 06:05 fman Category 0 - Undefined => 0 - User too Lazy to analize defined categories



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker